﻿local L = AceLibrary("AceLocale-2.0"):new("XRS")

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
    -- XRS.lua
    Scale = "Set Scale",
    Scale_D = "Set the scale of the XRaidStatus window.",
    Texture = "Texture",
    Textures = "Textures",
    Textures_D = "Select a texture of the bars.",
    Color_Group = "Change colors",
    Color_Group_D = "Change some colors of the XRaidStatus window.",
    BColor = "Background color",
    BColor_D = "Change the background color.",
    BOColor = "Border color",
    BOColor_D = "Change the border color",
    TColor = "Title color",
    TColor_D = "Change the title color.",
    Update_Rate = "Update Rate",
    Update_Rate_D = "Change the update rate of the bars.",
    Save = "Save",
    Save_D = "Save a configuration.",
    Load = "Load",
    Load_D = "Load a configuration.",
    Delete = "Delete",
    Delete_D = "Delete a configuration.",
    New_Group = "New",
    New_Group_D = "Create a new bar or a new buff button.",
    Create_Bar = "Create a new bar",
    Create_Bar_D = "Creates a new bar with some values.",
    Create_Button = "Create a new buff button",
    Create_Button_D = "Creates a new buff button.",
    Delete_DB = "Delete DB",
    Delete_DB_D = "Delete the Database/Profile",
    Lock = "Lock Frame",
    Lock_D = "Lock the XRaidStatus frame in the current position",
    Raid_Leader_Options = "Raid Leader Options",
    Buff_Check = "Buff Check",
    Buff_Check_TTText = "Do a buff check with selected buffs and print the result in the raid chat.",
    Ready_Check = "Ready Check",
    Ready_Check_TTText = "Starts the blizzard ready check",
    Select_Buffs = "Select Buffs",
    Select_Buffs_TTText = "Select buffs which should be scanned for.",
    Start_Check = "Start Check",
    Start_Check_TTText = "Starts the buff check an prints the result into the raid chat.",
    
    -- XRS_BarClass.lua
    Name = "Name",
    Name_TTText = "The name of the statusbar.",
    Type = "Type",
    Type_TTTitle = "Select Type",
    Type_TTText = "The type of the bar.",
    Classes = "Classes",
    Classes_TTTitle = "Select Classes",
    Classes_TTText = "The classes which represents this bar.",
    Groups = "Groups",
    Groups_TTTitle = "Select Groups",
    Groups_TTText = "The groups which represents this bar.",
    Group = "Group",
    Color = "Colors",
    Color_TTTitle = "Select Colors",
    Color_TTText = "Select the colors of the bar and text or use the default ones.",    
    Deaths = "Include deaths",
    Deaths_TTText = "Include Death People in computing the percent value of the bar.",
    Backgroundbar = "Activate Background Bar",
    Backgroundbar_TTTitle = "Activate Background Bar",
    Backgroundbar_TTText = "Activates a Background Bar for this Statusbar.",
    Bar_Up = "Bar Up",
    Bar_Up_TTText = "Moves the Bar one place up",
    Bar_Down = "Bar Down",
    Bar_Down_TTText = "Moves the Bar one place down",
    Delete_Bar = "Delete bar",
    Delete_Bar_TTText = "Deletes the bar",
    Create_Bar_TTTitle = "Create a new bar",
    Create_Bar_TTText = "Creates a new bar with some values",
    Life = "Life",
    Mana = "Mana",
    Alive = "Alive",
    Dead = "Dead",
    Offline = "Offline",
    Range = "Range",
    Range_Text = "Range Mode",
    Range_TTTitle = "Select Range Mode",
    Range_TTText = "Select the range mode for this range type.",
    Blank = "Blank",
    Use_Bar_Color = "Use Bar Color",
    Bar_Color = "Bar Color",
    Use_Text_Color = "Use Text Color",
    Text_Color = "Text Color",
    Yards_1 = "30 yards",
    Yards_2 = "100 yards",
    Yards_3 = "Zone",
    
    -- XRS_BuffClass.lua
    Buff_Text = "Select Buff",
    Buff_TTTitle = "Select Buff",
    Buff_TTText = "Select the buff for this icon.",
    Delete_Buff_Text = "Delete Buff",
    Delete_Buff_TTTitle = "Delete Buff",
    Delete_Buff_TTText = "Delete this buff from the view.",
    Predefined_Text = "Predefined Buffs", 
    Predefined_TTTitle = "Predefined Buffs",
    Predefined_TTText = "Choose one of the predefined buffs.",
    Enter_Buff = "Enter own Buff",
    Enter_Buff_TTTitle = "Enter an own buff",
    Enter_Buff_TTText = "Enter an own buff to check for",
    STA = "(Group) Stamina",
    AI = "(Group) Arcane Intellect",
    MOTW = "(Group) Mark of the Wild",
    SPI = "(Group) Spirit",
    SP = "(Group) Shadow Protection",
    
    -- XRS_TooltipClasses.lua
    Buff_Hint = "Leftclick = buff, Shift-leftclick = Report missing buffs, Ctrl-leftclick = Detach tooltip",
    Bar_Hint = "Ctrl-leftclick = Detach tooltip",
} end)

L:RegisterTranslations("deDE", function() return {
    -- XRS.lua
    Scale = "Skalierung",
    Scale_D = "Die Skalierung des XRaidStatus Fenster setzen.",
    Texture = "Textur",
    Textures = "Texturen",
    Textures_D = "Textur der Bars auswählen",
    Color_Group = "Farben auswählen",
    Color_Group_D = "Farben des XRaidStatus Fenster ändern.",
    BColor = "Hintergrundfarbe",
    BColor_D = "Die Hintergrundfarbe des XRaidStatus Fensters ändern.",
    BOColor = "Rand Farbe",
    BOColor_D = "Die Farbe des Randes ändern.",
    TColor = "Titel Farbe",
    TColor_D = "Die Farbe der Titel Schrift ändern.",
    Update_Rate = "Aktualisierungsrate",
    Update_Rate_D = "Die Aktualisierungsrate der Bars ändern.",
    Save = "Speichern",
    Save_D = "Eine Konfiguration sichern.",
    Load = "Laden",
    Load_D = "Eine Konfiguration laden.",
    Delete = "Löschen",
    Delete_D = "Eine Konfiguration löschen.",
    New_Group = "Neu",
    New_Group_D = "Eine neue Bar oder einen neuen Buff-Button erstellen.",
    Create_Bar = "Neue Bar",
    Create_Bar_D = "Eine neue Bar mit Standardwerten erstellen.",
    Create_Button = "Neuen Buff-Button",
    Create_Button_D = "Einen neuen Buff-Button erstellen.",
    Delete_DB = "DB löschen",
    Delete_DB_D = "Löscht die Datenbank/das Profil",
    Lock = "Fenster sperren",
    Lock_D = "Sperrt das XRaidStatus Fenster so dass es nichtmehr bewegt werden kann",
    Raid_Leader_Options = "Raid Leiter Optionen",
    Buff_Check = "Buff Test",
    Buff_Check_TTText = "Einen Buff Test mit den ausgewählten Buffs ausführen und die Ergebnisse im Raid Chat posten.",
    Ready_Check = "Bereitschafts Test",
    Ready_Check_TTText = "Startet den Bereitschafts Test von Blizzard",
    Select_Buffs = "Buffs auswählen",
    Select_Buffs_TTText = "Buffs auswählen nach denen gesucht werden soll",
    Start_Check = "Test starten",
    Start_Check_TTText = "Startet den Buff Test und veröffentlicht das Ergebnis im Raid Chat.",
    
    -- XRS_BarClass.lua
    Name = "Name",
    Name_TTText = "Name der Statusbar.",
    Type = "Typ",
    Type_TTTitle = "Typ auswählen",
    Type_TTText = "Typ der Bar.",
    Classes = "Klassen",
    Classes_TTTitle = "Klassen auswählen",
    Classes_TTText = "Klassen die diese Bar repräsentieren.",
    Groups = "Gruppen",
    Groups_TTTitle = "Gruppen auswählen",
    Groups_TTText = "Raid Gruppen die diese Bar repräsentieren.",
    Group = "Gruppe",
    Color = "Farbe",
    Color_TTTitle = "Farben auswählen",
    Color_TTText = "Die Farbe der Bar und dem Text auswählen oder Standard Einstellungen benutzen.",    
    Backgroundbar = "Hintergrund Bar aktivieren",
    Backgroundbar_TTTitle = "Hintergrund Bar aktivieren",
    Backgroundbar_TTText = "Eine Bar im Hintergrund aktivieren mit der gleichen Farbeinstellung.",
    Deaths = "Tote miteinbeziehen",
    Deaths_TTText = "Tote miteinbeziehen in der Berechnung der Bar.",
    Bar_Up = "Bar hoch",
    Bar_Up_TTText = "Die Bar wird um eine Zeile nach oben verschoben.",
    Bar_Down = "Bar runter",
    Bar_Down_TTText = "Die Bar wird um eine Zeile nach unten verschoben.",
    Delete_Bar = "Bar löschen",
    Delete_Bar_TTText = "Löscht die Bar.",
    Create_Bar_TTTitle = "Neue Bar erstellen",
    Create_Bar_TTText = "Eine neue Bar mit Standardwerten erstellen.",
    Life = "Leben",
    Mana = "Mana",
    Alive = "Am Leben",
    Dead = "Tot",
    Offline = "Offline",
    Range = "In Reichweite",
    Range_Text = "Reichweiten Modus",
    Range_TTTitle = "Reichweiten Modus",
    Range_TTText = "Den Reichweiten Modus auswählen.",
    Blank = "Frei",
    Use_Bar_Color = "Bar Farbe benutzen",
    Bar_Color = "Farbe der Bar",
    Use_Text_Color = "Text Farbe benutzen",
    Text_Color = "Farbe vom Text",
    Yards_1 = "30 Meter",
    Yards_2 = "100 Meter",
    Yards_3 = "Zone",
    
    -- XRS_BuffClass.lua
    Buff_Text = "Buff auswählen",
    Buff_TTTitle = "Buff auswählen",
    Buff_TTText = "Einen Buff für diesen Button auswählen.",
    Delete_Buff_Text = "Buff löschen",
    Delete_Buff_TTTitle = "Buff löschen",
    Delete_Buff_TTText = "Diesen Buff aus der Anzeige löschen.",
    Predefined_Text = "Vordefinierte Buffs", 
    Predefined_TTTitle = "Vordefinierte Buffs",
    Predefined_TTText = "Einen Buff aus dem vordefinierten Pool auswählen.",
    Enter_Buff = "Eigener Buff",
    Enter_Buff_TTTitle = "Eigenen Buff eintragen",
    Enter_Buff_TTText = "Einen eigenen Buff eintragen nach dem gesucht werden soll.",
    STA = "(Gruppen) Ausdauer",
    AI = "(Gruppen) Arkane Intelligenz",
    MOTW = "(Gruppen) Mal der Wildnis",
    SPI = "(Gruppen) Göttlicher Willen",
    SP = "(Gruppen) Schattenschutz",
    
    -- XRS_TooltipClasses.lua
    Buff_Hint = "Linksklick = buffen, Shift-linksklick = Fehlende Buffs posten, Strg-linksklick = Tooltip lösen",
    Bar_Hint = "Strg-linksklick = Tooltip lösen",
} end)
